crossover.Niche {galgo} | R Documentation

## Performs crossover between chromosomes of the niche

### Description

Perform crossover between chromosomes of the niche. This method is called inside `progeny` method.

### Usage

    ## S3 method for class 'Niche'
    crossover(ni, n=(ni$crossoverFunc)(ni), ...)

### Arguments

`n` | Number of crossover to perform. The default is obtained calling `crossoverFunc`.

### Value

Returns the “males” and “females” chromosomes used to crossover.

### Author(s)

Victor Trevino. Francesco Falciani Group. University of Birmingham, U.K. http://www.bip.bham.ac.uk/bioinf

### References

Goldberg, David E. 1989 Genetic Algorithms in Search, Optimization and Machine Learning. Addison-Wesley Pub. Co. ISBN: 0201157675

### See Also

For more information see `Niche`. `*progeny()`.

### Examples

      cr <- Chromosome(genes=newCollection(Gene(shape1=1, shape2=100),5))
      cr
      ni <- Niche(chromosomes = newRandomCollection(cr, 10))
      ni
      crossover(ni)
      ni

[Package galgo version 1.4 Index]